Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.wfs.capabilities
Class WFSCapabilitiesDocument_1_1_0

    java.lang.Object
      org.deegree.framework.xml.XMLFragment
          org.deegree.ogcbase.OGCDocument
              org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
                  org.deegree.owscommon.OWSCommonCapabilitiesDocument
                      org.deegree.ogcwebservices.wfs.capabilities.WFSCapabilitiesDocument_1_1_0

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  WFSCapabilitiesDocument

    public class WFSCapabilitiesDocument_1_1_0

extends OWSCommonCapabilitiesDocument

Represents a capabilities document for an OGC WFS 1.1.0 compliant web service.

Version:
  $Revision: 11377 $, $Date: 2008-04-23 07:55:34 +0000 (Mi, 23 Apr 2008) $
Author:
  Markus Schneider , last edited by: $Author: rbezema $
See Also:
  Serialized Form

Field Summary
`protected static URI` | `DEEGREEWFSNS`
`static String` | `FEATURE_TYPE_LIST_NAME` The "FeatureTypeList" string.
`static String` | `FILTER_CAPABILITIES_NAME` The "FilterCapabilities" string.
`protected static URI` | `OGCNS`
`static String` | `SERVES_GML_OBJECT_TYPE_LIST_NAME` The "ServesGMLObjectTypeList" string.
`static String` | `SUPPORTS_GML_OBJECT_TYPE_LIST_NAME` The "SupportsGMLObjectTypeList" string.
`protected static URI` | `WFSNS`

Fields inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`ALL_NAME, CONTENTS_NAME, OPERATIONS_METADATA_NAME, OWSNS, SERVICE_IDENTIFICATION_NAME, SERVICE_PROVIDER_NAME`

Fields inherited from class org.deegree.ogcbase.OGCDocument
`GMLNS`

Fields inherited from class org.deegree.framework.xml.XMLFragment
`DEFAULT_URL, nsContext, XLNNS`

Constructor Summary
`WFSCapabilitiesDocument_1_1_0()`

Method Summary
`void` | `createEmptyDocument()` Creates a skeleton capabilities document that contains the mandatory elements only.
`void` | `createEmptyDocument(String version)` Creates an emptyDocument with given version, and an updateSequence of "0" without reading the skeleton document.
`FeatureTypeList` | `getFeatureTypeList()` Returns the object representation for the `wfs:FeatureTypeList`- section.
`WFSFeatureType` | `getFeatureTypeType(Element element)` Returns the object representation for an element of type `wfs:FeatureTypeType`.
`FilterCapabilities` | `getFilterCapabilities()` Returns the object representation for the `Filter_Capabilities` section of the document.
`FormatType` | `getFormatType(Element element)` Returns the object representation for an `wfs:OutputFormat` -element.
`GMLObject` | `getGMLObjectType(Element element)` Returns the object representation for an element of type `wfs:GMLObjectType`.
`MetadataURL` | `getMetadataURL(Element element)` Returns the object representation for an element node of type `wfs:MetadataURLType`.
`OperationsMetadata` | `getOperationsMetadata()` Creates an object representation of the `ows:OperationsMetadata` section.
`Operation[]` | `getOperationsType(Element element)` Returns the object representation for an element node of type `wfs:OperationsType`.
`GMLObject[]` | `getServesGMLObjectTypeList()` Returns the object representation for the `wfs:ServesGMLObjectTypeList`- section.
`ServiceIdentification` | `getServiceIdentification()` Returns the class representation for the `ServiceIdentification` section of the document.
`GMLObject[]` | `getSupportsGMLObjectTypeList()` Returns the object representation for the `wfs:SupportsGMLObjectTypeList`- section.
`OGCCapabilities` | `parseCapabilities()` Creates a class representation of the document.

Methods inherited from class org.deegree.owscommon.OWSCommonCapabilitiesDocument
`getCodeType, getContraints, getDCP, getDCPs, getKeywords, getKeywords, getOperation, getOWSDomainType, getServiceProvider, getWGS84BoundingBoxType`

Methods inherited from class org.deegree.ogcwebservices.getcapabilities.OGCCapabilitiesDocument
`parseAddress, parseMetadataLink, parsePhone, parseUpdateSequence, parseVersion`

Methods inherited from class org.deegree.ogcbase.OGCDocument
`parseCodeList, parseCodeListArray, parseExtendedPropertyPath, parseInterval, parseKeywords, parseKeywords, parseLonLatEnvelope, parseOnLineResource, parsePropertyPath, parseTimePeriod, parseTimePeriods, parseTimePositions, parseTimeSequence, parseTypedLiteral, parseValues`

Methods inherited from class org.deegree.framework.xml.XMLFragment
`getAsPrettyString, getAsString, getAttachedSchemas, getQualifiedName, getRootElement, getSystemId, hasSchema, load, load, load, parseQualifiedName, parseSimpleLink, prettyPrint, prettyPrint, resolve, setRootElement, setSystemId, setSystemId, toString, write, write, write, write`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FEATURE_TYPE_LIST_NAME

    public static final String FEATURE_TYPE_LIST_NAME

  The "FeatureTypeList" string.

  See Also:
    Constant Field Values

### SERVES_GML_OBJECT_TYPE_LIST_NAME

    public static final String SERVES_GML_OBJECT_TYPE_LIST_NAME

  The "ServesGMLObjectTypeList" string.

  See Also:
    Constant Field Values

### SUPPORTS_GML_OBJECT_TYPE_LIST_NAME

    public static final String SUPPORTS_GML_OBJECT_TYPE_LIST_NAME

  The "SupportsGMLObjectTypeList" string.

  See Also:
    Constant Field Values

### FILTER_CAPABILITIES_NAME

    public static final String FILTER_CAPABILITIES_NAME

  The "FilterCapabilities" string.

  See Also:
    Constant Field Values

### WFSNS

    protected static final URI WFSNS

### OGCNS

    protected static final URI OGCNS

### DEEGREEWFSNS

    protected static final URI DEEGREEWFSNS

Constructor Detail

### WFSCapabilitiesDocument_1_1_0

    public WFSCapabilitiesDocument_1_1_0()

Method Detail

### createEmptyDocument

    public void createEmptyDocument()
                             throws IOException,
                                    SAXException

  Creates a skeleton capabilities document that contains the mandatory elements only.

  Throws:
    `IOException`
    `SAXException`

### createEmptyDocument

    public void createEmptyDocument(String version)

  Creates an emptyDocument with given version, and an updateSequence of "0" without reading the skeleton document.

  Parameters:
    `version` - if

### parseCapabilities

    public OGCCapabilities parseCapabilities()
                                      throws InvalidCapabilitiesException

  Creates a class representation of the document.

  Specified by:
    `parseCapabilities` in class `OGCCapabilitiesDocument`
  Returns:
    class representation of the configuration document
  Throws:
    `InvalidCapabilitiesException`

### getServiceIdentification

    public ServiceIdentification getServiceIdentification()
                                                   throws XMLParsingException

  Returns the class representation for the `ServiceIdentification` section of the document.

  NOTE: this method is overridden, because the WFS 1.1.0 requires the OWS 1.0.0 version of the element

  Overrides:
    `getServiceIdentification` in class `OWSCommonCapabilitiesDocument`
  Returns:
    class representation for the `ServiceIdentification` section
  Throws:
    `XMLParsingException`

### getOperationsMetadata

    public OperationsMetadata getOperationsMetadata()
                                             throws XMLParsingException

  Creates an object representation of the `ows:OperationsMetadata` section.

  Returns:
    object representation of the `ows:OperationsMetadata` section
  Throws:
    `XMLParsingException`

### getFeatureTypeList

    public FeatureTypeList getFeatureTypeList()
                                       throws XMLParsingException

  Returns the object representation for the `wfs:FeatureTypeList`- section.

  Returns:
    object representation of the `wfs:FeatureTypeList` section, may be empty (if missing)
  Throws:
    `XMLParsingException`

### getServesGMLObjectTypeList

    public GMLObject[] getServesGMLObjectTypeList()
                                           throws XMLParsingException

  Returns the object representation for the `wfs:ServesGMLObjectTypeList`- section.

  Returns:
    object representation of the `wfs:ServesGMLObjectTypeList` section, null if the section does not exist
  Throws:
    `XMLParsingException`

### getSupportsGMLObjectTypeList

    public GMLObject[] getSupportsGMLObjectTypeList()
                                             throws XMLParsingException

  Returns the object representation for the `wfs:SupportsGMLObjectTypeList`- section.

  Returns:
    object representation of the `wfs:SupportsGMLObjectTypeList` section, null if the section does not exist
  Throws:
    `XMLParsingException`

### getGMLObjectType

    public GMLObject getGMLObjectType(Element element)
                               throws XMLParsingException

  Returns the object representation for an element of type `wfs:GMLObjectType`.

  Parameters:
    `element` -
  Returns:
    object representation of the element of type `wfs:GMLObjectType`
  Throws:
    `XMLParsingException`

### getFeatureTypeType

    public WFSFeatureType getFeatureTypeType(Element element)
                                      throws XMLParsingException

  Returns the object representation for an element of type `wfs:FeatureTypeType`.

  Parameters:
    `element` -
  Returns:
    object representation for the element of type `wfs:OperationsType`
  Throws:
    `XMLParsingException`

### getFormatType

    public FormatType getFormatType(Element element)
                             throws XMLParsingException

  Returns the object representation for an `wfs:OutputFormat` -element.

  Parameters:
    `element` -
  Returns:
    object representation for the element
  Throws:
    `XMLParsingException`

### getMetadataURL

    public MetadataURL getMetadataURL(Element element)
                               throws XMLParsingException

  Returns the object representation for an element node of type `wfs:MetadataURLType`. TODO: Schema says base type is String, not URL!

  Parameters:
    `element` -
  Returns:
    object representation for the element of type `wfs:MetadataURLType`
  Throws:
    `XMLParsingException`

### getOperationsType

    public Operation[] getOperationsType(Element element)
                                  throws XMLParsingException

  Returns the object representation for an element node of type `wfs:OperationsType`.

  Parameters:
    `element` -
  Returns:
    object representation for the element of type `wfs:OperationsType`
  Throws:
    `XMLParsingException`

### getFilterCapabilities

    public FilterCapabilities getFilterCapabilities()
                                             throws XMLParsingException

  Returns the object representation for the `Filter_Capabilities` section of the document.

  Returns:
    class representation for the `Filter_Capabilities` section
  Throws:
    `XMLParsingException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org